Hoofdstuk 2. Fire up the GIMP
| Deel I. Getting Started |

## Hoofdstuk 2. Fire up the GIMP

## 1. GIMP opstarten

Most often, you start GIMP either by clicking on an icon (if your system is set up to provide you with one), or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to type gimp-2.8 to get the latest version. You can, if you want, give a list of image files on the command line after the program name, and they will automatically be opened by GIMP as it starts. It is also possible, though, to open files from within GIMP once it is running.

Most operating systems support file associations, which associates a class of files (as determined by their filename extension, such as .jpg) with a corresponding application (such as GIMP). When image files are properly “associated” to GIMP, you can double click on an image to open it in GIMP.

### 1.1. Bekende besturingssystemen

The GIMP is the most widely supported image manipulation available today. The platforms on which GIMP is known to work include:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, and BeOS™.

The GIMP is easily ported to other operating systems because of its source code availability. For further information visit the GIMP developers homepage. [GIMP-DEV].

### 1.2. Talen

GIMP automatically detects and uses the system language. In the unlikely event that language detection fails, or if you just want to use a different language, since GIMP-2.8, you can do so through: Edit → Preferences → Interface.

You can also use:

Under Linux

  In LINUX: in console mode, type `LANGUAGE=en gimp` or `LANG=en gimp` replacing en by fr, de, ... according to the language you want. Background: Using `LANGUAGE=en` sets an environment variable for the executed program `gimp`.

Under Windows XP

  Onder WINDOWS XP: Configuratiescherm/Systeem/ Geavanceerd/"Omgeving" knop/ in "Systeem Variabelen" dialoog: "Toevoegen" knop: voer LANG in als naam en fr or de... als waarde.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for french for instance):

  `set lang=fr
  start gimp-2.8.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

  Another possibility: Start → Programs → GTK Runtime Environment Then Select language and select the language you want in the drop-down list.

Under Apple Mac OS X

  From System Preferences, click on the International icon. In the Language tab, the desired language should be the first in the list.

Another GIMP instance

  Use `-n` to run multiple instances of GIMP. For example, use `gimp-2.8` to start GIMP in the default system language, and `LANGUAGE=en gimp-2.8 -n` to start another instance of GIMP in English; this is very useful for translators.

### 1.3. Argumenten op de opdrachtregel

Although arguments are not required when starting GIMP, the most common arguments are shown below. On a Unix system, you can use `man gimp`for a complete list.

Command line arguments must be in the command line that you use to start GIMP as gimp-2.8 [OPTION...] [FILE|URI...].

-?, --help

  Een lijst met alle opties voor de opdrachtregel

--help-all

  Show all help options.

--help-gtk

  Show GTK+ Options.

-v, --version

  Print the GIMP version and exit.

--license

  Show license information and exit.

--verbose

  Laat uitgebreidere opstartberichten zien.

-n, --new-instance

  Start a new GIMP instance.

-a, --as-new

  Open images as new.

-i, --no-interface

  Run without a user interface.

-d, --no-data

  Dit voorkamt dat er allerlei patronen, verlooptinten, kleurschema's of penselen worden geladen en is handig als u gimp in commando-modus gebruikt of als de opstarttijd zo kort mogelijk gehouden moet worden.

-f, --no-fonts

  Do not load any fonts. This is useful to load GIMP faster for scripts that do not use fonts, or to find problems related to malformed fonts that hang GIMP.

-s, --no-splash

  Laat het opstartscherm niet zien.

--no-shm

  Do not use shared memory between GIMP and plugins.

--no-cpu-accel

  Do not use special CPU acceleration functions. Useful for finding or disabling buggy accelerated hardware or functions.

--session=`name`

  Use a different `sessionrc` for this GIMP session. The given session name is appended to the default `sessionrc` filename.

--gimprc=`filename`

  Gebruik een ander GIMP instellingenbestand dan het standaard bestand. Het "gimprc"-bestand bevat een opname van uw voorkeursinstellingen. Dit is handig als u op een andere plaats, met een andere computer, met andere instellingen werkt.

--system-gimprc=`filename`

  Use an alternate system gimprc file.

-b, --batch=`commands`

  Execute the set of commands non-interactively. The set of commands is typically in the form of a script that can be executed by one of the GIMP scripting extensions. When the command is `-`, commands are read from standard input.

--batch-interpreter=`proc`

  Specify the procedure to use to process batch commands. The default procedure is Script-Fu.

--console-messages

  Onderdruk dialoogvensters met waarschuwingen of foutmeldingen en leidt deze berichten naar de console om.

--pdb-compat-mode=`mode`

  PDB compatibility mode (off|on|warn).

--stack-trace-mode=`mode`

  Debug in case of a crash (never|query|always).

--debug-handlers

  Enable non-fatal debugging signal handlers. Useful for GIMP debugging.

--g-fatal-warnings

  Make all warnings fatal. Useful for debug.

--dump-gimprc

  Output a gimprc file with default settings. Useful if you messed up the gimprc file.

--display=`display`

  Start GIMP op het ingegeven scherm op (Dit kan niet op Microsoft Windows).

2. What's New in GIMP 2.8? |  | 2. GIMP de eerste keer instellen

Report an error in Bugzilla